clc;
clear;
close all;

load('Esercitazione_19_05.mat')

MASK = PA>0;

RTOP = RTOP(MASK);
%RTOP = (RTOP- min(RTOP)) / (max(RTOP) - min(RTOP));

RTAP = RTAP(MASK);
%RTAP = (RTAP- min(RTAP)) / (max(RTAP) - min(RTAP));

RTPP = RTPP(MASK);
%RTPP = (RTPP- min(RTPP)) / (max(RTPP) - min(RTPP));

MSD = MSD(MASK);
%MSD = (MSD- min(MSD)) / (max(MSD) - min(MSD));


PA = PA(MASK);
%PA = (PA- min(PA)) / (max(PA) - min(PA));


cluster_img = zeros(128,128);
data = cat(2, RTOP, RTAP, RTPP, PA, MSD);

clusters = my_k_means(data,3, 100);

cluster_img(MASK) = clusters;

figure;
imagesc(cluster_img)
colorbar()